Name: libXfixes
Version: 4.0.3
Release: alt1

Summary: X Fixes Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org
Source: %name-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

BuildRequires: libX11-devel libXau-devel libXdmcp-devel pkg-config
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros

%description
X Fixes Library

%package devel
Summary: X Fixes Library and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release libX11-devel libXau-devel libXdmcp-devel
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/X11/extensions
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%changelog
* Wed Nov 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Tue Oct 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0.2-alt2
- added libXfixes-4.0.2-git-LockUnlockDisplay.patch

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Mon Sep 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0-alt2
- CVS snapshot 2006-04-02

* Tue Mar 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 4.0-alt1
- 4.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1.2-alt3
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1.2-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1.2-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1.1-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0.1-alt0.1
- initial build

